<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.audio.AudioClip</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.audio.AudioClip";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/audio/class-use/AudioClip.html" target="_top">Frames</a></li>
<li><a href="AudioClip.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.audio.AudioClip" class="title">Uses of Class<br>projectx.engine.audio.AudioClip</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.audio">projectx.engine.audio</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine.audio">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a> in <a href="../../../../projectx/engine/audio/package-summary.html">projectx.engine.audio</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/audio/package-summary.html">projectx.engine.audio</a> that return <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></code></td>
<td class="colLast"><span class="typeNameLabel">AudioPlayer.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/audio/AudioPlayer.html#convertToMP3-projectx.engine.audio.AudioClip-">convertToMP3</a></span>(<a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a>&nbsp;clip)</code>
<div class="block">This method converts a .mp3 file into a .wav file using the jl converter library.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/audio/package-summary.html">projectx.engine.audio</a> with parameters of type <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></code></td>
<td class="colLast"><span class="typeNameLabel">AudioPlayer.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/audio/AudioPlayer.html#convertToMP3-projectx.engine.audio.AudioClip-">convertToMP3</a></span>(<a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a>&nbsp;clip)</code>
<div class="block">This method converts a .mp3 file into a .wav file using the jl converter library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">AudioPlayer.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/audio/AudioPlayer.html#playSound-projectx.engine.audio.AudioClip-double-">playSound</a></span>(<a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a>&nbsp;sfx,
         double&nbsp;vol)</code>
<div class="block">This method tries to play the selected audio file denoted by the parameter sfx.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/audio/class-use/AudioClip.html" target="_top">Frames</a></li>
<li><a href="AudioClip.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
